<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Licenciaturas
 *
 * @ORM\Table(name="licenciaturas", indexes={@ORM\Index(name="estatus", columns={"estatus"}), @ORM\Index(name="cve_niv_aca", columns={"cve_niv_aca"})})
 * @ORM\Entity
 */
class Licenciaturas
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_lic", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideLic;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_lic", type="string", length=50, nullable=false)
     */
    private $cveLic;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_lic", type="string", length=500, nullable=false)
     */
    private $nomLic;

    /**
     * @var string
     *
     * @ORM\Column(name="modalidad", type="string", length=100, nullable=true)
     */
    private $modalidad = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="dur_lic", type="integer", nullable=false)
     */
    private $durLic;

    /**
     * @var integer
     *
     * @ORM\Column(name="tip_car", type="integer", nullable=true)
     */
    private $tipCar = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=false)
     */
    private $cveUsu;

    /**
     * @var \Estatus
     *
     * @ORM\ManyToOne(targetEntity="Estatus")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="estatus", referencedColumnName="ide_est")
     * })
     */
    private $estatus;

    /**
     * @var \NivelesAcademicos
     *
     * @ORM\ManyToOne(targetEntity="NivelesAcademicos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_niv_aca", referencedColumnName="ide_niv_aca")
     * })
     */
    private $cveNivAca;



    /**
     * Get ideLic
     *
     * @return integer
     */
    public function getIdeLic()
    {
        return $this->ideLic;
    }

    /**
     * Set cveLic
     *
     * @param string $cveLic
     *
     * @return Licenciaturas
     */
    public function setCveLic($cveLic)
    {
        $this->cveLic = $cveLic;
    
        return $this;
    }

    /**
     * Get cveLic
     *
     * @return string
     */
    public function getCveLic()
    {
        return $this->cveLic;
    }

    /**
     * Set nomLic
     *
     * @param string $nomLic
     *
     * @return Licenciaturas
     */
    public function setNomLic($nomLic)
    {
        $this->nomLic = $nomLic;
    
        return $this;
    }

    /**
     * Get nomLic
     *
     * @return string
     */
    public function getNomLic()
    {
        return $this->nomLic;
    }

    /**
     * Set modalidad
     *
     * @param string $modalidad
     *
     * @return Licenciaturas
     */
    public function setModalidad($modalidad)
    {
        $this->modalidad = $modalidad;
    
        return $this;
    }

    /**
     * Get modalidad
     *
     * @return string
     */
    public function getModalidad()
    {
        return $this->modalidad;
    }

    /**
     * Set durLic
     *
     * @param integer $durLic
     *
     * @return Licenciaturas
     */
    public function setDurLic($durLic)
    {
        $this->durLic = $durLic;
    
        return $this;
    }

    /**
     * Get durLic
     *
     * @return integer
     */
    public function getDurLic()
    {
        return $this->durLic;
    }

    /**
     * Set tipCar
     *
     * @param integer $tipCar
     *
     * @return Licenciaturas
     */
    public function setTipCar($tipCar)
    {
        $this->tipCar = $tipCar;
    
        return $this;
    }

    /**
     * Get tipCar
     *
     * @return integer
     */
    public function getTipCar()
    {
        return $this->tipCar;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return Licenciaturas
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return Licenciaturas
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set estatus
     *
     * @param \CmBundle\Entity\Estatus $estatus
     *
     * @return Licenciaturas
     */
    public function setEstatus(\CmBundle\Entity\Estatus $estatus = null)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return \CmBundle\Entity\Estatus
     */
    public function getEstatus()
    {
        return $this->estatus;
    }

    /**
     * Set cveNivAca
     *
     * @param \CmBundle\Entity\NivelesAcademicos $cveNivAca
     *
     * @return Licenciaturas
     */
    public function setCveNivAca(\CmBundle\Entity\NivelesAcademicos $cveNivAca = null)
    {
        $this->cveNivAca = $cveNivAca;
    
        return $this;
    }

    /**
     * Get cveNivAca
     *
     * @return \CmBundle\Entity\NivelesAcademicos
     */
    public function getCveNivAca()
    {
        return $this->cveNivAca;
    }
}
